| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Properties | Private Member Functions | Private Attributes

# IG::Gr3d::Graph3dManipulatorBasic Class Reference

Basic manipulation of VTK-based 3D hraphs. More...

Collaboration diagram for IG::Gr3d::Graph3dManipulatorBasic:
[legend]

List of all members.

## Public Member Functions
| Graph3dManipulatorBasic ()
| Graph3dManipulatorBasic (IVtkFormContainer vtkContainer)
| Costructs 3D graphics manipulator with the specified vtk container whose graph control is to be manipulated.
## Public Attributes
const string | StrJoystickMode = "Trackball Mode"
const string | StrTrackballMode = "Joystick Mode"
const string | StrCameraMode = "Actors Mode"
const string | StrActorsMode = "Camera Mode"
const string | StrWireframe = "Surfaces"
const string | StrSurfaces = "Wireframe"
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Properties
bool | IsManipulateButtonVisible`[get, set]`
| Specifies whether the button that launchs the 3D manipulation controls is visible.
bool | IsCloseWindoButtonVisible`[get, set]`
| Specifies whether the button that closes the main form is visible.
IVtkFormContainer | VtkContainer`[get, set]`
| Gets the control of type VtkControlBase through which VTK functionality is controlled.
VtkControlBase | VtkControl`[get, set]`
| Gets the control of type VtkControlBase through which VTK functionality is controlled.
I3dGraphicsControl | GraphControl`[get]`
| Graph control that is manipulated by the current control.
Graph3dManipulatorWindow | GraphControls`[get]`
## Private Member Functions
void | btnCloseWin_Click (object sender, EventArgs e)
| Closes the toplevel form if it implements the IClosableFromContainedForm interface.
void | btnResetCamera_Click (object sender, EventArgs e)
void | btnTrackBallJoystick_Click (object sender, EventArgs e)
void | btnCameraActor_Click (object sender, EventArgs e)
void | btnSurfaceWireframe_Click (object sender, EventArgs e)
void | btnManipulate_Click (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
## Private Attributes
IVtkFormContainer | _vtkContainer
VtkControlBase | _vtkControl
Graph3dManipulatorWindow | _graphControls
System.ComponentModel.IContainer | components = null
| Required designer variable.
System.Windows.Forms.Panel | pnlControls
System.Windows.Forms.Button | btnResetCamera
System.Windows.Forms.Button | btnTrackBallJoystick
System.Windows.Forms.Button | btnCameraActor
System.Windows.Forms.Button | btnSurfaceWireframe
System.Windows.Forms.Button | btnCloseWin
System.Windows.Forms.Button | btnManipulate

## Detailed Description

Basic manipulation of VTK-based 3D hraphs.

$A Igor May13;

## Constructor & Destructor Documentation

IG::Gr3d::Graph3dManipulatorBasic::Graph3dManipulatorBasic | ( |  | ) | `[inline]`

IG::Gr3d::Graph3dManipulatorBasic::Graph3dManipulatorBasic | ( | IVtkFormContainer | vtkContainer | ) | `[inline]`

Costructs 3D graphics manipulator with the specified vtk container whose graph control is to be manipulated.

Parameters:

  vtkContainer | Container of the VTK control (must be of type implementing the IVtkFormContainer interface).

## Member Function Documentation

void IG::Gr3d::Graph3dManipulatorBasic::btnCloseWin_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

Closes the toplevel form if it implements the IClosableFromContainedForm interface.

void IG::Gr3d::Graph3dManipulatorBasic::btnResetCamera_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Gr3d::Graph3dManipulatorBasic::btnTrackBallJoystick_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Gr3d::Graph3dManipulatorBasic::btnCameraActor_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Gr3d::Graph3dManipulatorBasic::btnSurfaceWireframe_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Gr3d::Graph3dManipulatorBasic::btnManipulate_Click | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

override void IG::Gr3d::Graph3dManipulatorBasic::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

void IG::Gr3d::Graph3dManipulatorBasic::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

IVtkFormContainer IG::Gr3d::Graph3dManipulatorBasic::_vtkContainer`[private]`

VtkControlBase IG::Gr3d::Graph3dManipulatorBasic::_vtkControl`[private]`

const string IG::Gr3d::Graph3dManipulatorBasic::StrJoystickMode = "Trackball Mode"

const string IG::Gr3d::Graph3dManipulatorBasic::StrTrackballMode = "Joystick Mode"

const string IG::Gr3d::Graph3dManipulatorBasic::StrCameraMode = "Actors Mode"

const string IG::Gr3d::Graph3dManipulatorBasic::StrActorsMode = "Camera Mode"

const string IG::Gr3d::Graph3dManipulatorBasic::StrWireframe = "Surfaces"

const string IG::Gr3d::Graph3dManipulatorBasic::StrSurfaces = "Wireframe"

Graph3dManipulatorWindow IG::Gr3d::Graph3dManipulatorBasic::_graphControls`[private]`

System.ComponentModel.IContainer IG::Gr3d::Graph3dManipulatorBasic::components = null`[private]`

Required designer variable.

System.Windows.Forms.Panel IG::Gr3d::Graph3dManipulatorBasic::pnlControls`[private]`

System.Windows.Forms.Button IG::Gr3d::Graph3dManipulatorBasic::btnResetCamera`[private]`

System.Windows.Forms.Button IG::Gr3d::Graph3dManipulatorBasic::btnTrackBallJoystick`[private]`

System.Windows.Forms.Button IG::Gr3d::Graph3dManipulatorBasic::btnCameraActor`[private]`

System.Windows.Forms.Button IG::Gr3d::Graph3dManipulatorBasic::btnSurfaceWireframe`[private]`

System.Windows.Forms.Button IG::Gr3d::Graph3dManipulatorBasic::btnCloseWin`[private]`

System.Windows.Forms.Button IG::Gr3d::Graph3dManipulatorBasic::btnManipulate`[private]`

## Property Documentation

bool IG::Gr3d::Graph3dManipulatorBasic::IsManipulateButtonVisible`[get, set]`

Specifies whether the button that launchs the 3D manipulation controls is visible.

bool IG::Gr3d::Graph3dManipulatorBasic::IsCloseWindoButtonVisible`[get, set]`

Specifies whether the button that closes the main form is visible.

IVtkFormContainer IG::Gr3d::Graph3dManipulatorBasic::VtkContainer`[get, set]`

Gets the control of type VtkControlBase through which VTK functionality is controlled.

VtkControlBase IG::Gr3d::Graph3dManipulatorBasic::VtkControl`[get, set]`

Gets the control of type VtkControlBase through which VTK functionality is controlled.

I3dGraphicsControl IG::Gr3d::Graph3dManipulatorBasic::GraphControl`[get]`

Graph control that is manipulated by the current control.

Graph3dManipulatorWindow IG::Gr3d::Graph3dManipulatorBasic::GraphControls`[get, private]`

The documentation for this class was generated from the following files:

- Graph3dManipulatorBasic.cs
- Graph3dManipulatorBasic.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events